2025-05-26 22:39:21 UTC
1.02 GB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-6.1.1-release
SWIFT_PLATFORMubi9
SWIFT_SIGNING_KEY52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
SWIFT_VERSIONswift-6.1.1-RELEASE
SWIFT_WEBROOThttps://download.swift.org
containeroci
[#000] sha256:92efcdccd1058003df257e9cbdf756ff6b10bd276551590536a5a1678e099aaf - 7.26% (75.9 MB)
[#001] sha256:824fcf78fa4314ad51db022ff3a8b0f63054c9db49efc9bb151e42b2c4f73156 - 11.34% (119 MB)
[#002] sha256:589bb62ab92af65ca55db9589f18de749312aa2d82ed7986d93de8948bb4cf5b - 81.4% (851 MB)
[#003] sha256:9a3c4d082a69618bf5acf880d1d2e58519deee23ca16f1554339f50bbdbf71dc - 0.0% (174 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc." vendor="Red Hat, Inc."
2025-05-14 10:40:59 UTC/bin/sh -c #(nop) LABEL url="https://www.redhat.com"
2025-05-14 10:40:59 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.6" distribution-scope="public"
2025-05-14 10:40:59 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2025-05-14 10:40:59 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."
2025-05-14 10:40:59 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2025-05-14 10:40:59 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2025-05-14 10:40:59 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"
2025-05-14 10:40:59 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2025-05-14 10:40:59 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"
2025-05-14 10:40:59 UTC/bin/sh -c #(nop) ENV container oci
2025-05-14 10:41:01 UTC/bin/sh -c #(nop) COPY dir:d030c7d773f0a9a0288768cf73fd68603fb78790fc50998f9cb91d0c08117212 in /
2025-05-14 10:41:01 UTC/bin/sh -c #(nop) COPY file:b37d593713ee21ad52a4cd1424dc019a24f7966f85df0ac4b86d234302695328 in /etc/yum.repos.d/.
2025-05-14 10:41:01 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2025-05-14 10:41:01 UTC/bin/sh -c #(nop) COPY file:58cc94f5b3b2d60de2c77a6ed4b1797dcede502ccdb429a72e7a72d994235b3c in /usr/share/buildinfo/content-sets.json
2025-05-14 10:41:02 UTC/bin/sh -c #(nop) LABEL "build-date"="2025-05-14T10:40:37" "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="2f42d95842ada13f4b1358571e36e1ab62406115" "release"="1747219013"
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)LABEL description=Docker Container for the Swift programming language
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c yum -y install git gcc-c++ libcurl-devel libedit-devel libuuid-devel libxml2-devel ncurses-devel python3-devel rsync sqlite-devel unzip zip # buildkit
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)ARG SWIFT_PLATFORM=ubi9
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)ARG SWIFT_BRANCH=swift-6.1.1-release
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)ARG SWIFT_VERSION=swift-6.1.1-RELEASE
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)ARG SWIFT_WEBROOT=https://download.swift.org
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.1.1-release SWIFT_VERSION=swift-6.1.1-RELEASE SWIFT_WEBROOT=https://download.swift.org
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.1.1-release SWIFT_VERSION=swift-6.1.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz # buildkit
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.1.1-release SWIFT_VERSION=swift-6.1.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit
2025-05-26 22:39:21 UTC
1.01 GB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-6.1.1-release
SWIFT_PLATFORMubi9
SWIFT_SIGNING_KEY52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
SWIFT_VERSIONswift-6.1.1-RELEASE
SWIFT_WEBROOThttps://download.swift.org
containeroci
[#000] sha256:391637b3b0856f2a27f616fdf8fe3f1dbd07848a70722ba154c00b969ead8c76 - 7.13% (73.8 MB)
[#001] sha256:f202315f3a182fe7aeebd6705e0c9e5945fcf41f63ec79b47f007e2943fc362d - 10.89% (113 MB)
[#002] sha256:4aa7a249d113f8dea9dfd4b791e543a7d0ebb4603257c504080c87adbff6a42a - 81.98% (848 MB)
[#003] sha256:b55296c510c464e745c4aff02cee0eb5decd4934f2847bc08ea4dcc36af9ab22 - 0.0% (174 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc." vendor="Red Hat, Inc."
2025-05-14 10:43:47 UTC/bin/sh -c #(nop) LABEL url="https://www.redhat.com"
2025-05-14 10:43:47 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.6" distribution-scope="public"
2025-05-14 10:43:48 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2025-05-14 10:43:48 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."
2025-05-14 10:43:48 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2025-05-14 10:43:48 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2025-05-14 10:43:48 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"
2025-05-14 10:43:48 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2025-05-14 10:43:48 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"
2025-05-14 10:43:48 UTC/bin/sh -c #(nop) ENV container oci
2025-05-14 10:43:51 UTC/bin/sh -c #(nop) COPY dir:c394b2914ae3358d61caf86b7a5bbfd4d11ff5b87984e3a14471c2a88888fa14 in /
2025-05-14 10:43:51 UTC/bin/sh -c #(nop) COPY file:b37d593713ee21ad52a4cd1424dc019a24f7966f85df0ac4b86d234302695328 in /etc/yum.repos.d/.
2025-05-14 10:43:51 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2025-05-14 10:43:51 UTC/bin/sh -c #(nop) COPY file:0667e9d31385a24c3aef13f2dd9ab6a7b71b3dfcfef5127d3c1e2ea2c838e5cb in /usr/share/buildinfo/content-sets.json
2025-05-14 10:43:52 UTC/bin/sh -c #(nop) LABEL "build-date"="2025-05-14T10:43:22" "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="2f42d95842ada13f4b1358571e36e1ab62406115" "release"="1747219013"
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)LABEL description=Docker Container for the Swift programming language
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c yum -y install git gcc-c++ libcurl-devel libedit-devel libuuid-devel libxml2-devel ncurses-devel python3-devel rsync sqlite-devel unzip zip # buildkit
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)ARG SWIFT_PLATFORM=ubi9
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)ARG SWIFT_BRANCH=swift-6.1.1-release
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)ARG SWIFT_VERSION=swift-6.1.1-RELEASE
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)ARG SWIFT_WEBROOT=https://download.swift.org
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.1.1-release SWIFT_VERSION=swift-6.1.1-RELEASE SWIFT_WEBROOT=https://download.swift.org
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.1.1-release SWIFT_VERSION=swift-6.1.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz # buildkit
2025-05-26 22:39:21 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.1.1-release SWIFT_VERSION=swift-6.1.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.